/// <reference types="node" />
import events = require("events");
export declare class Queue<T> extends events.EventEmitter {
    requeue(items: T[]): void;
    enqueue(item: T): void;
    private queue;
    private maxItemsInQueue;
    getQueueSize(): number;
    dequeue(size: number): T[];
    clear(): void;
}
