"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var path = require("path");
var FilesUtils = /** @class */ (function () {
    function FilesUtils() {
    }
    FilesUtils.resolveOriginalFullFileName = function (fullPath, originalFilename) {
        if (path.isAbsolute(originalFilename)) {
            return originalFilename;
        }
        var generatedDir = path.dirname(fullPath);
        originalFilename = path.resolve(generatedDir, originalFilename);
        return originalFilename;
    };
    FilesUtils.adjustPathSlashes = function (filePath) {
        filePath = (filePath || "").replace(/\\/g, '/');
        return filePath;
    };
    return FilesUtils;
}());
exports.FilesUtils = FilesUtils;
//# sourceMappingURL=files-utils.js.map