/// <reference types="bunyan" />
import bunyan = require("bunyan");
import { ElementType } from "./contracts";
import { FileElement } from "./file-element";
export declare class UniqueIdConverter {
    private _uniqueIdsMap;
    private _fileElements;
    private filename;
    private logger;
    constructor(filename: string, logger: bunyan);
    createFileElement(element: any, filename: string, type: ElementType): FileElement;
    private createElementPosition(position);
    sortElements(): FileElement[];
    private comparePosition(elm1, elm2);
    createElementsArray(file: any): FileElement[];
    private fillFileElementsArray(elements, array, type);
    createNewUniqueIds(): void;
    process(): void;
    readonly uniqueIdsMap: {};
    fileElements: FileElement[];
    setAndInitFile(file: any): void;
    private filterDuplicatesElements();
    private removeBranchesOutOfMethods();
    private checkBranchPosition(branch, method);
}
